TMP_DIR="tmp_nvim"
mkdir -p ${TMP_DIR}

sudo apt install ripgrep

NVIM_ASSET_NAME=nvim-linux-x86_64
NVIM_DOWNLOAD_URL=https://github.com/neovim/neovim/releases/download/nightly/${NVIM_ASSET_NAME}.tar.gz

# Download latest nightly release of Neovim
wget --output-document=/dev/stdout $NVIM_DOWNLOAD_URL | \
  tar --directory ${TMP_DIR} -xzf /dev/stdin

sudo rm -rf ~/neovim
sudo mv ${TMP_DIR}/${NVIM_ASSET_NAME} ~/neovim

ln -s $(pwd)/nvim ~/.config/nvim

git clone --depth 1 https://github.com/wbthomason/packer.nvim\
 ~/.local/share/nvim/site/pack/packer/start/packer.nvim
